<?php
if ( ! isset( $content_width ) )
	$content_width = 522;

add_action( 'after_theme_setup' , 'simplelife_setup' );

function simplelife_setup(){
	add_theme_support( 'automatic-feed-links' );		
}

//menu
function register_simplelife_menus() {
  register_nav_menus(
    array( 'header-menu' => __( 'Header Menu' ))
  );
}
add_action( 'init', 'register_simplelife_menus' );

//sidebar
if ( function_exists('register_sidebar') )
register_sidebar(array(
    'before_widget' => '<div class="widget_border"><div class="%2$s widget">',
    'after_widget' => '</div></div>',
    'before_title' => '<h3><span>',
    'after_title' => '</span></h3>',
));

//wp_enqueue_scripts
 function simplelife_scripts(){
  if ( is_singular() && get_option( 'thread_comments' ) ){
    wp_enqueue_script( 'comment-reply' );}
 }
 add_action( 'wp_enqueue_scripts', 'simplelife_scripts' );

//comments
function simplelife_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
   global $commentcount;
   if(!$commentcount) {
	   $page = ( !empty($in_comment_loop) ) ? get_query_var('cpage')-1 : get_page_of_comment( $comment->comment_ID, $args )-1;
	   $cpp=get_option('comments_per_page');
	   $commentcount = $cpp * $page;
	   $cau = $comment->comment_author_url;
	}
?>
   <li <?php comment_class('note'); ?> id="comment-<?php comment_ID() ?>">
		<a title="<?php echo comment_author();?>" href="#"><?php echo get_avatar( $comment, $size = '16'); ?></a>
		<span class="action">
			<div class="authorName"><?php printf('%s', get_comment_author_link()); ?></div><?php comment_text() ?>
			<div class="reply">
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => 'Reply'))) ?>
				<?php edit_comment_link('Edit','  ',''); ?>
			</div>
			<div class="clear"></div>
		</span>
		<div class="comment-text">
			<?php if ($comment->comment_approved == '0') : ?>
			<em><?php echo 'Your comment is awaiting moderation.' ?></em>
			<br />
			<?php endif; ?>
		</div>
		<div class="clear"></div>
	</li>
<?php
}
?>